Subject: FW: Software development tools for Linux

From: Omer Musaev <[email-masked]>
Date: Thu, 3 May 2001 12:18:26 +0200

As many of us know, Linux is full with software development tools. 
However, how useful those tools are for a developer?

  I tend to state that Linux lacks IDE. 

Many people will disagree - for example, in some cases emacs can be used as
the only interface 
to all development tools used. In other, it is the Unix environment itself -
source editing is done with $EDITOR, 
version control with CVS, compilations are run in a terminal window and
programs are debugged in DDD.
 
However, how many glitches in code should be avoided by using tools that are
integrated better than 
X-windows + many programs and cover more aspects of code construction than
emacs? 
 
This question bothers me quite a log time.
 I did development using vi+terminal metaphor and using emacs+terminal and
using emacs without terminal
and using emacs + refactoring facilities and using emacs and a commercial
IDE for Linux. However, there is
no silver bullets - each way has its own advantages and its own pitfalls.
 
I would like to hear more opinions on the matter. 
What are your preferred ways of development, and what do you gain by using
those? 
Do you think that customizing environment increases productivity?   
 
P.S. Currently I do development with Xemacs 21 + gtk and Sniff+ Penguin IDE
for project/code management.

-- 
Omer Mussaev
Mercury Interactive / Topaz Prism R&D
Core Technologies team